local frame = CreateFrame("Frame", "AutoActionCam")

frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_LOGIN")

function frame:OnEvent(event, ...)
    if event == "ADDON_LOADED" and ... == "AutoActionCam" then
        if CamSetting == nil then
            CamSetting = "off"
            DEFAULT_CHAT_FRAME:AddMessage("aac loaded for the first time, Type `/aac help` to view commands", 127/255, 219/255, 1.0)
        end
    elseif event == "PLAYER_LOGIN" then
        ConsoleExec("ActionCam " .. CamSetting)
    end
end
frame:SetScript("OnEvent", frame.OnEvent)

SLASH_AAC1 = "/aac"
local function slashHandler(msg)
    if msg == "full" then
        CamSetting = "full"
    elseif msg == "basic" then
        CamSetting = "basic"
    elseif msg == "off" then
        CamSetting = "off"
    elseif msg == "help" then
        DEFAULT_CHAT_FRAME:AddMessage("Syntax: /aac (option) with option:", 127/255, 219/255, 1.0)
        DEFAULT_CHAT_FRAME:AddMessage("full - All ActionCam features", 127/255, 219/255, 1.0)
        DEFAULT_CHAT_FRAME:AddMessage("basic - Basic ActionCam", 127/255, 219/255, 1.0)
        DEFAULT_CHAT_FRAME:AddMessage("off - Disables ActionCam", 127/255, 219/255, 1.0)
    else
        DEFAULT_CHAT_FRAME:AddMessage("Type `/aac help` to view commands", 127/255, 219/255, 1.0)
    end
    
    ConsoleExec("ActionCam " .. CamSetting)
end
SlashCmdList["AAC"] = slashHandler
